# Uses of Class
org.eclipse.jdt.core.dom.ArrayType

Packages that use ArrayType
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ArrayType in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ArrayType
Modifier and Type
Method
Description
`ArrayType`
ArrayCreation.`getType()`
Returns the array type in this array creation expression.
`ArrayType`
AST.`newArrayType(Type elementType)`
Creates and returns a new unparented array type node with the given element type, which cannot be an array type for API levels JLS8 and later.
`ArrayType`
AST.`newArrayType(Type elementType, int dimensions)`
Creates and returns a new unparented array type node with the given element type and number of dimensions.
Methods in org.eclipse.jdt.core.dom with parameters of type ArrayType
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ArrayType node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ArrayType node, Object other)`
Returns whether the given node and the other object match.
`void`
ArrayCreation.`setType(ArrayType type)`
Sets the array type in this array creation expression.
`boolean`
ASTVisitor.`visit(ArrayType node)`
Visits the given type-specific AST node.